Documentation Index
Fetch the complete documentation index at: https://doc.soleaspay.com/llms.txt Use this file to discover all available pages before exploring further.
Converter
Convert an amount from one currency to another using ISO 4217 codes. If the ‘to’ parameter is omitted, conversion is performed to all supported currencies.
OpenAPI
GET /api/convert
openapi: 3.1.0
info:
title: SoleasPay API
description: API to authenticate and receive a bearer token from SoleasPay
license:
name: MIT
version: 1.0.0
servers:
- url: https://sandbox.soleaspay.com
security:
- bearerAuth: []
paths:
/api/convert:
get:
summary: Currency Converter
description: >-
Convert an amount from one currency to another using ISO 4217 codes. If
the 'to' parameter is omitted, conversion is performed to all supported
currencies.
parameters:
- name: amount
in: query
required: true
schema:
type: number
format: float
example: 1
description: The amount to convert
- name: from
in: query
required: true
schema:
type: string
example: USD
description: The currency code of the amount you want to convert (ISO 4217)
- name: to
in: query
required: false
schema:
type: string
example: XAF
description: >-
The currency code to convert the amount to (ISO 4217). If not
provided, conversion to all supported currencies will be returned.
responses:
'200':
description: Conversion result
content:
application/json:
schema:
oneOf:
- type: object
properties:
success:
type: boolean
example: true
data:
type: object
properties:
value:
type: string
example: '624.28'
devise:
type: string
example: XAF
- type: object
properties:
success:
type: boolean
example: true
data:
type: object
additionalProperties:
type: string
message:
type: string
example: Convertion of 1 USD to all supported currency
'400':
description: Invalid request parameters
components:
securitySchemes:
bearerAuth:
type: http
scheme: bearer
